
QGIS Application - Bug report #18029

Print composer locking up (OSX 10.13.3)

2018-02-02 10:53 AM - Joe Bullard

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.15 Regression?: No

Operating System: OSX High Sierra 10.13.3 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 25925

Description

I'm experiencing issues using print composer in QGIS, I have tried with latest 2.18 build as well as the 2.14 LTR.

The following will typically occur:

Enter print composer, insert map/legend/image etc., shortly after I will lose the ability to manipulate existing objects or add new objects

into the map. I have tried saving and reopening but the issue persists.

History

#1 - 2018-02-02 12:29 PM - Joe Bullard

Joe Bullard wrote:

I'm experiencing issues using print composer in QGIS, I have tried with latest 2.18 build as well as the 2.14 LTR.

The following will typically occur:

Enter print composer, insert map/legend/image etc., shortly after I will lose the ability to manipulate existing objects or add new objects into the

map. I have tried saving and reopening but the issue persists.

Should add that I have tried this with my own datasets and with the sample dataset, the outcome is the same, I will be able to add a few map objects, then

it will suddenly crash and no longer allow me to manipulate or add new objects. I have also tried reinstalling and clearing all qgis files, but no luck.

#2 - 2018-02-05 03:10 PM - Joe Bullard

Joe Bullard wrote:

I'm experiencing issues using print composer in QGIS, I have tried with latest 2.18 build as well as the 2.14 LTR.

The following will typically occur:

Enter print composer, insert map/legend/image etc., shortly after I will lose the ability to manipulate existing objects or add new objects into the

map. I have tried saving and reopening but the issue persists.

I have tried this on a 2015 iMac and 2015 Macbook Pro, both High Sierra, and the result is the same.
#3 - 2018-02-17 08:54 AM - Miichael Medina

I am experiencing this also.  On a brand new 27" iMac.

It appears to happen when using a regular mouse input device and for me it freezes when you release the mouse button when moving a map element.

I have tried this with 3 different brand mice (old Dell, old Logitech, brand new Magic Mouse) and it freezes pretty reliably.

It does not freeze for me when I use a Magic Trackpad 1 or an old Bamboo Pen and Tablet.  This is my current workaround.

#4 - 2018-02-20 05:22 PM - Joe Bullard

Miichael Medina wrote:

I am experiencing this also.  On a brand new 27" iMac.

It appears to happen when using a regular mouse input device and for me it freezes when you release the mouse button when moving a map

element.

I have tried this with 3 different brand mice (old Dell, old Logitech, brand new Magic Mouse) and it freezes pretty reliably.

It does not freeze for me when I use a Magic Trackpad 1 or an old Bamboo Pen and Tablet.  This is my current workaround.

Interesting, had not even considered it to be a hardware issue. Hopefully something is done about this soon as it makes the application unusable for me at

present.

#5 - 2018-02-20 11:31 PM - Miichael Medina

Joe Bullard wrote:

Interesting, had not even considered it to be a hardware issue. Hopefully something is done about this soon as it makes the application unusable for

me at present.

I didn't mention my other workaround, oops.

At least for me, using the panels on the right of the page (Item properties, Composition) should still function, so you can manually move and edit things

there, it's just slow (although can be more exact that way too)

#6 - 2018-02-27 02:19 PM - Joe Bullard

Miichael Medina wrote:

Joe Bullard wrote:

Interesting, had not even considered it to be a hardware issue. Hopefully something is done about this soon as it makes the application unusable

for me at present.

I didn't mention my other workaround, oops.
At least for me, using the panels on the right of the page (Item properties, Composition) should still function, so you can manually move and edit things

there, it's just slow (although can be more exact that way too)

Ah yes, I have used this method when possible but it doesn't allow me to add new content. This bug is currently stopping me from producing any output. It

would be nice to have some confirmation/acknowledge the bug.

#7 - 2018-02-27 02:25 PM - Giovanni Manghi

Ah yes, I have used this method when possible but it doesn't allow me to add new content. This bug is currently stopping me from producing any

output. It would be nice to have some confirmation/acknowledge the bug.

I have no more access to macOS, but when I had until not long ago (November) the composer was ok for me on 2.18.

Please also try QGIS 3.

#8 - 2018-02-27 02:25 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Assignee deleted (Joe Bullard)

#9 - 2018-02-27 02:46 PM - Joe Bullard

Giovanni Manghi wrote:

Ah yes, I have used this method when possible but it doesn't allow me to add new content. This bug is currently stopping me from producing any

output. It would be nice to have some confirmation/acknowledge the bug.

I have no more access to macOS, but when I had until not long ago (November) the composer was ok for me on 2.18.

Please also try QGIS 3.

I'm in the process of installing QGIS using homebrew now, will test to see whether this remains an issue

#10 - 2018-08-16 03:22 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
